<?php
/* MT4Analysis project system wide constants.
   Copyright (C) 2009-2010, Future Lab.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original version. Apr/2009, Rick Smereka

   Added 'buy limit' and 'sell limit' transaction types. Jan/2010,
   Rick Smereka

   Added last database update date/time (parms) table key.
   Aug/2010, Rick Smereka */

// system version ID
define('MT4A_VERSION', '.48.01-2010.10.01');

// is this system in production (live?)
define('IN_PRODUCTION', 0);

// should the databases be read-only?
define('DATABASE_RO', 0);

// last database update date/time in 'parms' table key
define('DB_UPDATE_DATIME', 'dbupdatedatime');

// known transaction types (and their id's)
define('MT4_TRANS_TYPE_BALANCE', 1);
define('MT4_TRANS_TYPE_CREDIT', 2);
define('MT4_TRANS_TYPE_BUY', 3);
define('MT4_TRANS_TYPE_SELL', 4);
define('MT4_TRANS_TYPE_BUY_STOP', 5);
define('MT4_TRANS_TYPE_SELL_STOP', 6);
define('MT4_TRANS_TYPE_BUY_LIMIT', 7);
define('MT4_TRANS_TYPE_SELL_LIMIT', 8);

// PDO database driver in use (I am using SQLite)
define('DATABASE_DRIVER', 'sqlite');

/* path to local (not production) trade database files (for SQLite), do 
   not end in path separator */
define('TRADE_PATH_LOCAL', '/fl/mt4analysis/db/my');

/* path to production trade database files (for SQLite), do not end with
   a path separator */
define('TRADE_PATH_PRODUCTION', '/cgi-bin/db/trade');
?>
